package org.ow2.weblab.core.annotator;

import java.net.URI;

import junit.framework.Assert;

import org.junit.Test;
import org.ow2.weblab.core.annotator.AbstractAnnotator.Operator;
import org.ow2.weblab.core.extended.factory.WebLabResourceFactory;
import org.ow2.weblab.core.model.Document;
import org.purl.dc.elements.DublinCoreAnnotator;

public class EmptyAnnotation {


	@Test
	public void testDoNotCreateEmptyAnnotation() {

		final Document document = WebLabResourceFactory.createResource("idfact", "myDoc", Document.class);

		final DublinCoreAnnotator dca = new DublinCoreAnnotator(document);

		dca.readContributor();

		Assert.assertTrue(document.getAnnotation().isEmpty());

		dca.writeContributor(null);

		Assert.assertTrue(document.getAnnotation().isEmpty());

		dca.applyOperator(Operator.WRITE, "test", URI.create("test://test"), "test", String.class, null);

		Assert.assertTrue(document.getAnnotation().isEmpty());

		dca.applyOperator(Operator.WRITE, "test", URI.create("test://test"), "test", String.class, "test");

		dca.applyOperator(Operator.REMOVE, "test", URI.create("test://test"), "test", String.class, "test");
	}

}
