/**
 * WEBLAB: Service oriented integration platform for media mining and intelligence applications
 * 
 * Copyright (C) 2004 - 2012 CASSIDIAN, an EADS company
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301 USA
 */

package org.ow2.weblab.core.extended.factory;

import org.ow2.weblab.core.extended.exception.WebLabResourceCreationException;
import org.ow2.weblab.core.model.Document;
import org.ow2.weblab.core.model.MediaUnit;
import org.ow2.weblab.core.model.Resource;

/**
 * @see WebLabResourceFactory
 * @author Cassidian WebLab Team
 * @date 2008-01-18
 * @deprecated Use the WebLabResourceFactory instead
 */
@Deprecated
public final class MediaUnitFactory extends AbstractFactory {


	/**
	 * Constructors Do not use it.
	 */
	private MediaUnitFactory() {
		throw new UnsupportedOperationException("This class only contains static methods; no need to instantiate it.");
	}


	/**
	 * @param doc
	 *            The document in which to add an instance of <code>muClass</code>
	 * @param muClass
	 *            The type of <code>MediaUnit</code>
	 * @return An instance of <code>muClass</code> that has been inserted at the end of the <code>MediaUnit</code> list in <code>doc</code>
	 * @see WebLabResourceFactory#createAndLinkMediaUnit(Document, Class)
	 * @deprecated Use the WebLabResourceFactory instead
	 */
	@Deprecated
	public static <T extends MediaUnit> T createAndLinkMediaUnit(final Document doc, final Class<T> muClass) {
		return WebLabResourceFactory.createAndLinkMediaUnit(doc, muClass);
	}



	/**
	 * @param res
	 *            The document in which to add an instance of <code>muClass</code>
	 * @param muClass
	 *            The type of <code>MediaUnit</code>
	 * @return An instance of <code>muClass</code> that has been inserted at the end of the <code>MediaUnit</code> list in <code>doc</code>
	 * @deprecated since model 1.2, impossible to create a sub MediaUnit on something else than a Document.
	 *             replaced by createAndLinkMediaUnit(final Document doc, final Class<T> muClass)
	 * @see WebLabResourceFactory#createAndLinkMediaUnit(Document, Class)
	 */
	@Deprecated
	public static <T extends MediaUnit> T createAndLinkMediaUnit(final Resource res, final Class<T> muClass) {
		if (res instanceof Document) {
			return WebLabResourceFactory.createAndLinkMediaUnit((Document) res, muClass);
		}
		throw new WebLabResourceCreationException("MediaUnit cannot be added outside documents.");
	}

}
