/**
 * WEBLAB: Service oriented integration platform for media mining and intelligence applications
 * 
 * Copyright (C) 2004 - 2012 Cassidian, an EADS company
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301 USA
 */

package org.ow2.weblab.core.extended.factory;

import org.ow2.weblab.core.model.Resource;


/**
 * This class is now deprecated. Methods of every factories have been grouped together in the {@link WebLabResourceFactory}.
 * 
 * @see WebLabResourceFactory
 * @author Cassidian WebLab Team
 * @date 2008-01-15
 * @deprecated Use the WebLabResourceFactory instead
 */
@Deprecated
public final class ResourceFactory extends AbstractFactory {


	/**
	 * Constructors
	 * Do not use it.
	 */
	private ResourceFactory() {
		throw new UnsupportedOperationException("This class only contains static methods; no need to instantiate it.");
	}


	/**
	 * @param idRef
	 *            Resource creator unique reference
	 * @param idRes
	 *            Resource unique reference in the creator
	 * @param resClass
	 *            The implementation class of the resource
	 * @see WebLabResourceFactory#createResource(String, String, Class)
	 * @deprecated Use the WebLabResourceFactory instead
	 * @return The created resource
	 */
	@Deprecated
	public static <T extends Resource> T createResource(final String idRef, final String idRes, final Class<T> resClass) {
		return WebLabResourceFactory.createResource(idRef, idRes, resClass);
	}

}
