/**
 * WEBLAB: Service oriented integration platform for media mining and intelligence applications
 * 
 * Copyright (C) 2004 - 2011 CASSIDIAN
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301 USA
 */

package org.ow2.weblab.core.helper;

import java.util.List;

import junit.framework.Assert;

import org.junit.Test;
import org.ow2.weblab.core.extended.factory.WebLabResourceFactory;
import org.ow2.weblab.core.extended.ontologies.WebLabProcessing;
import org.ow2.weblab.core.helper.impl.JenaResourceHelper;
import org.ow2.weblab.core.model.Text;
import org.ow2.weblab.core.model.processing.WProcessingAnnotator;

public class WebLabClassesCompatibility {


	@Test
	public void testRead() {
		/*
		 * Write with annotators
		 * Read with jena
		 */

		final Text text = WebLabResourceFactory.createResource("idfact", "myDoc", Text.class);
		text.setContent("London.");

		final WProcessingAnnotator wpa = new WProcessingAnnotator(text);

		wpa.writeOriginalFileSize(Long.valueOf(132054l));

		// Read with Jena
		final ResourceHelper rh = new JenaResourceHelper(text);
		final List<String> values = rh.getLitsOnPredSubj(text.getUri(), WebLabProcessing.HAS_ORIGINAL_FILE_SIZE);
		Assert.assertEquals(1, values.size());
		Assert.assertEquals("132054", values.get(0));
	}

}
