/**
 * WEBLAB: Service oriented integration platform for media mining and intelligence applications
 * 
 * Copyright (C) 2004 - 2012 Cassidian, an EADS company
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301 USA
 */
package org.ow2.weblab.core.helpers.test;

import java.lang.reflect.Field;

import org.junit.Assert;
import org.junit.Test;
import org.ow2.weblab.core.helpers.validator.util.Keys;
import org.ow2.weblab.core.helpers.validator.util.Messages;



/**
 * Checks that every key in the Keys class is described in messages.properties.
 */
public class TestMessages {


	@Test
	public void checkEveryKeys() throws IllegalArgumentException, IllegalAccessException {
		for (final Field field : Keys.class.getFields()) {
			if (!field.getType().equals(String.class)) {
				Assert.fail("Field " + field.getName() + " is not String.");
			}
			final String value = (String) field.get(null); // null since fields are static
			final String message = Messages.getMessage(value);
			Assert.assertFalse("Key " + value + " not found.", message.startsWith("!") && message.endsWith("!"));
		}
	}


}
